summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Palimaka <kensington@gentoo.org>2020-04-21 19:06:52 +1000
committerMichael Palimaka <kensington@gentoo.org>2020-04-21 19:06:52 +1000
commit800bea9ab028aba8bf2e5bdf9450c44e421d714a (patch)
treeab86ee560f84a7cdacf0929adc9705eea674bea5
parentapp-portage/tatt: improve python handling (diff)
downloadgentoo-800bea9ab028aba8bf2e5bdf9450c44e421d714a.tar.gz
gentoo-800bea9ab028aba8bf2e5bdf9450c44e421d714a.tar.bz2
gentoo-800bea9ab028aba8bf2e5bdf9450c44e421d714a.zip
net-analyzer/testssl: version bump 3.0.1
Package-Manager: Portage-2.3.89, Repoman-2.3.22 Signed-off-by: Michael Palimaka <kensington@gentoo.org>
-rw-r--r--net-analyzer/testssl/Manifest1
-rw-r--r--net-analyzer/testssl/testssl-3.0.1.ebuild74
2 files changed, 75 insertions, 0 deletions
diff --git a/net-analyzer/testssl/Manifest b/net-analyzer/testssl/Manifest
index 426a1543a57d..fac4dbdd21d5 100644
--- a/net-analyzer/testssl/Manifest
+++ b/net-analyzer/testssl/Manifest
@@ -1 +1,2 @@
+DIST testssl-3.0.1.tar.gz 9207908 BLAKE2B 0c7c43b306866fa79718027ce9db3a894a4344f714a4318578f4d9dc79b09e1beba1f69f7f25e75ece6811e1394479a29e021697c30f160a0d9f3f291d4792c5 SHA512 e081c6bb24c45cb197b57403cfd4f384459ce2c0d0f0ccd2fa0f68d61429ba9bf4a351efd2b0febbadaca7b1f5825c338d8b03f59ea4cbe8467358ee92cdc715
DIST testssl-3.0.tar.gz 9207778 BLAKE2B 56f13cb58bc930e0c70ef1ff4734dd7e363f362397ebe354c446f1fd6e73a0774a6eb84326a405a5aab224b058754e03fcecda254617eee2fde4d9566ada4e15 SHA512 a5e65d3145bc422cf03b49087cc24cadca367206a06dda61d114b0a6afd7c4921204e23cdc3ade2f5d7e9ce4adf17b54691b9d33d46b75b296111663e9cf063a
diff --git a/net-analyzer/testssl/testssl-3.0.1.ebuild b/net-analyzer/testssl/testssl-3.0.1.ebuild
new file mode 100644
index 000000000000..8a2472e4e275
--- /dev/null
+++ b/net-analyzer/testssl/testssl-3.0.1.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN="${PN}.sh"
+MY_PV="${PV/_p/-}"
+
+DESCRIPTION="Tool to check TLS/SSL cipher support"
+HOMEPAGE="https://testssl.sh/"
+SRC_URI="https://github.com/drwetter/${MY_PN}/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2 bundled-openssl? ( openssl )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="bundled-openssl kerberos"
+
+RDEPEND="
+ app-shells/bash[net]
+ net-dns/bind-tools
+ sys-apps/util-linux
+ sys-libs/ncurses:0
+ sys-process/procps
+ bundled-openssl? (
+ kerberos? (
+ sys-libs/zlib
+ virtual/krb5
+ )
+ )
+ !bundled-openssl? ( dev-libs/openssl:0 )
+"
+
+S=${WORKDIR}/${MY_PN}-${MY_PV}
+
+QA_PREBUILT="opt/${PN}/*"
+
+pkg_setup() {
+ if use amd64; then
+ if use kerberos; then
+ BUNDLED_OPENSSL="openssl.Linux.x86_64.krb5"
+ else
+ BUNDLED_OPENSSL="openssl.Linux.x86_64"
+ fi
+ elif use x86; then
+ BUNDLED_OPENSSL="openssl.Linux.i686"
+ fi
+}
+
+src_prepare() {
+ default
+ sed -i ${PN}.sh \
+ -e 's|TESTSSL_INSTALL_DIR="${TESTSSL_INSTALL_DIR:-""}"|TESTSSL_INSTALL_DIR="/"|' \
+ -e 's|$TESTSSL_INSTALL_DIR/etc/|&testssl/|g' || die
+
+ if use bundled-openssl; then
+ sed -i ${PN}.sh \
+ -e "/find_openssl_binary()/a OPENSSL=\"/opt/${PN}/${BUNDLED_OPENSSL}\"" || die
+ fi
+}
+
+src_install() {
+ dodoc CHANGELOG.md CREDITS.md Readme.md
+ dodoc openssl-iana.mapping.html
+
+ dobin ${PN}.sh
+
+ insinto /etc/${PN}
+ doins etc/*
+
+ if use bundled-openssl; then
+ exeinto /opt/${PN}
+ use amd64 && doexe bin/${BUNDLED_OPENSSL}
+ fi
+}